From bunk@stusta.de Sun Aug 14 14:31:37 2005
Date: Sun, 14 Aug 2005 13:00:58 +0200
From: Adrian Bunk <bunk@stusta.de>
To: Lee Revell <rlrevell@joe-job.com>, Andrew Morton <akpm@osdl.org>
Cc: NAGANO Daisuke <breeze.nagano@nifty.ne.jp>, <alan@lxorguk.ukuu.org.uk>, <sailer@ife.ee.ethz.ch>, <perex@suse.cz>, <James@superbug.demon.co.uk>, <zab@zabbo.net>, <kyle@parisc-linux.org>, <jgarzik@pobox.com>, Thorsten Knabe <linux@thorsten-knabe.de>, <zaitcev@yahoo.com>, Christoph Eckert <ce@christeck.de>
Subject: USB: schedule OSS USB drivers for removal
Message-ID: <20050814110058.GD8393@stusta.de>

Deprecate the OSS USB drivers.

This patch includes spelling fixes by Lee Revell.


Signed-off-by: Adrian Bunk <bunk@stusta.de>
Signed-off-by: Greg Kroah-Hartman <gregkh@suse.de>


---
 drivers/usb/class/Kconfig |   21 ++++++++++++++++++---
 1 files changed, 18 insertions(+), 3 deletions(-)

--- gregkh-2.6.orig/drivers/usb/class/Kconfig	2005-08-15 17:50:07.000000000 -0700
+++ gregkh-2.6/drivers/usb/class/Kconfig	2005-08-15 17:50:18.000000000 -0700
@@ -4,9 +4,22 @@
 comment "USB Device Class drivers"
 	depends on USB
 
+config OBSOLETE_OSS_USB_DRIVER
+	bool "Obsolete OSS USB drivers"
+	depends on USB && SOUND
+	help
+	  This option enables support for the obsolete USB Audio and Midi
+	  drivers that are scheduled for removal in the near future since
+	  there are ALSA drivers for the same hardware.
+
+	  Please contact Adrian Bunk <bunk@stusta.de> if you had to
+	  say Y here because of missing support in the ALSA drivers.
+
+	  If unsure, say N.
+
 config USB_AUDIO
 	tristate "USB Audio support"
-	depends on USB && SOUND
+	depends on USB && SOUND && OBSOLETE_OSS_USB_DRIVER
 	help
 	  Say Y here if you want to connect USB audio equipment such as
 	  speakers to your computer's USB port. You only need this if you use
@@ -40,10 +53,12 @@
 
 config USB_MIDI
 	tristate "USB MIDI support"
-	depends on USB && SOUND
+	depends on USB && SOUND && OBSOLETE_OSS_USB_DRIVER
 	---help---
 	  Say Y here if you want to connect a USB MIDI device to your
-	  computer's USB port. This driver is for devices that comply with
+	  computer's USB port.  You only need this if you use the OSS
+	  sound system; USB MIDI devices are supported by ALSA's USB
+	  audio driver. This driver is for devices that comply with
 	  'Universal Serial Bus Device Class Definition for MIDI Device'.
 
 	  The following devices are known to work:
